Remove Template Category

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API removes a category from a template. Once a category is removed, the template will not be associated with any categories, and it will be listed under "All Categories".

Endpoints

OAuth Scope

WorkDrive.libraries.categories.DELETECopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request DELETE \
  --url https://www.zohoapis.com/workdrive/api/v1/category/{category_id}/relationships/files \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
  --header 'content-type: application/vnd.api+json' \
  --data '{"data":{"attributes":{"resource_id":"ly9zm1d1ee3b833c1438a9232ad6ac77bc8f2"},"id":"ly9zm1d1ee3b833c1438a9232ad6ac77bc8f2","type":"files"}}'

Path Parameters

category_idstring(Required)

The template category ID

Request Body

application/vnd.api+json
dataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
resource_idstring(Required)

The template ID

idstring(Required)

The template ID

typestring(Required)

The JSON:API resource type. Always "files".

Allowed Values :
Show Values
filesCopied!
Copied!Copy all as JSON Array

Body Parameters

Copied!
  {
    "data": {
      "attributes": {
        "resource_id": "ly9zm1d1ee3b833c1438a9232ad6ac77bc8f2"
      },
      "id": "ly9zm1d1ee3b833c1438a9232ad6ac77bc8f2",
      "type": "files"
    }
  }
                
Show full

Response Example

204
Copied!
204 No Content
Show full